//首页Nav切换卡
function NavTab(index) {
  var tabButtons = document.getElementsByClassName('nav-button');
  var tabItems = document.getElementsByClassName('nav-item');
  // 移除所有tab-button的active类
  for (var i = 0; i < tabButtons.length; i++) {
    tabButtons[i].classList.remove('active');
  }
  // 隐藏所有tab-item
  for (var i = 0; i < tabItems.length; i++) {
    tabItems[i].classList.remove('active');
  }
  // 给选中的tab-button添加active类
  tabButtons[index].classList.add('active');
  // 显示选中的tab-item
  tabItems[index].classList.add('active');
}

// 获取切换卡按钮的引用
var navButtons = document.getElementsByClassName("nav-button");

// 获取<a>标签的引用
var pageLink = document.getElementById("pageLink");

// 给切换卡按钮添加点击事件监听器
for (var i = 0; i < navButtons.length; i++) {
  (function (index) {
    navButtons[index].addEventListener("click", function (event) {
      updatePageLink(index);
    });
  })(i);
}

// 更新<a>标签的链接和标题
var pages = {
  home: {
    url: "#home",
    title: "IKUN主页"
  },
  zuopin: {
    url: "#zuopin",
    title: "IKUN作品"
  },
  links: {
    url: "#links",
    title: "IKUN朋友圈"
  },
  meinv: {
    url: "#meinv",
    title: "美女视频"
  }
};

// 更新页面链接和标题
function updatePageLink(index) {
  var page = Object.values(pages)[index];

  pageLink.href = page.url;
  pageLink.innerHTML = page.title;

  // 修改浏览器标题
  document.title = page.title;

  // 设置网址标识
  window.location.hash = page.url;
}

// 给按钮的父元素绑定点击事件
document.querySelector(".main-nav").addEventListener("click", function (event) {
  // 判断点击的元素是否为按钮
  if (event.target.classList.contains("nav-button")) {
    // 获取按钮的索引
    var index = Array.from(event.target.parentNode.children).indexOf(event.target);

    // 根据索引更新页面链接和标题
    updatePageLink(index);
  }
});

// 检查页面URL中的标识，并根据标识更新页面链接和标题
function checkPageURL() {
  var pageURL = window.location.href;

  Object.values(pages).forEach(function (page, index) {
    if (pageURL.includes(page.url)) {
      updatePageLink(index);
    }
  });
}

// 默认打开对应的 tab 页面
window.addEventListener("load", function () {
  var tabUrls = {
    home: 0,
    zuopin: 1,
    links: 2,
    meinv: 3
  };

  var currentURL = window.location.hash.substr(1);
  var currentIndex = tabUrls[currentURL];

  if (currentIndex !== undefined) {
    NavTab(currentIndex);
  }
});

// 在页面加载完成后，检查页面URL并更新标题和链接
window.addEventListener("load", function () {
  checkPageURL();
});

// 在页面URL发生变化时，检查新的URL并更新标题和链接
window.addEventListener("hashchange", function () {
  checkPageURL();
});

//首页作品切换卡
function ZuopinTab(index) {
  var tabButtons = document.getElementsByClassName('zuopin-button');
  var tabItems = document.getElementsByClassName('zuopin-item');
  // 移除所有tab-button的active类
  for (var i = 0; i < tabButtons.length; i++) {
    tabButtons[i].classList.remove('active');
  }
  // 隐藏所有tab-item
  for (var i = 0; i < tabItems.length; i++) {
    tabItems[i].classList.remove('active');
  }
  // 给选中的tab-button添加active类
  tabButtons[index].classList.add('active');
  // 显示选中的tab-item
  tabItems[index].classList.add('active');
}

// 打开作品弹窗
function showzuopin(num) {
  var zuopin = document.getElementById("zuopin" + num);
  var backgroundLayer = document.getElementById('background-layer');
  zuopin.style.display = "block";
  backgroundLayer.style.display = 'block'; // 显示背景层
}

// 关闭作品弹窗
function closezuopin(num) {
  var zuopin = document.getElementById("zuopin" + num);
  var backgroundLayer = document.getElementById('background-layer');
  zuopin.style.display = "none";
  backgroundLayer.style.display = 'none'; // 隐藏背景层
}